AnsweredAssumed Answered

FMCOMMS1- ZC706- Drivers Problem

Question asked by ehsantelecom on Feb 23, 2015
Latest reply on Mar 30, 2015 by rgetz

Hi,

We are trying to compile Non-OS project for AD-FMCOMMS1-EBZ on ZC706 using XPS 14.4. I think we have version incompatibility problem with HDL version 2.0 and and No-OS SDK project. We even tried to use HDL version 1.0. Any body can recommend the right combination of these two?

 

What we did:

We download the latest HDL version 2.0 fromhttps://github.com/analogdevicesinc/fpgahdl_xilinx/archive/ad_fmcomms1_ebz_edk_14_4_2013_08_23.zip

Then No-OS SDK drivers is got from https://github.com/analogdevicesinc/no-OS/tree/master/fmcomms1

Then we generated cores using IP-Core Generator from cf_lib/edk/pcores on XCO files. Just we encountered to an issue with "ad_dcfilter_1.xco" which we needed to change the version of DSP48 from 2.0 to 2.1.

Then the XPS project is synthesized and the Bitstream file is generated successfully. But, coming to SDK project an error as following:


../src/Common/test.c:337:67: error: 'XPAR_AXI_AD9122_DMA_BASEADDR' undeclared (first use in this function)

../src/Common/test.c:337:67: note: each undeclared identifier is reported only once for each function it appears in

../src/Common/test.c: In function 'adc_capture':

../src/Common/test.c:503:67: error: 'XPAR_AXI_AD9643_DMA_BASEADDR' undeclared (first use in this function)

make: *** [src/Common/test.o] Error 1

 

"xparameters.h" is generated correctly but there is no "XPAR_AXI_AD9643_DMA_BASEADDR" defined. Surprisingly, XPS project has no AD9643_DMA core... I am not sure the lasted released version of drivers and XPS are compatible...

 

Untitled.jpg

 

Thanks,

Ehsan

Outcomes